## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLNamespacesDeclaration

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  XMLNamespacesDeclarationImpl

    public interface XMLNamespacesDeclaration

extends SQLQueryObject

A representation of the model object 'XML Namespaces Declaration'.

The following features are supported:

- `Namespace Decltem List`
- `Value Function Element`
- `Value Function Forest`
- `Table Function`

See Also:
  `SQLXMLQueryModelPackage.getXMLNamespacesDeclaration()`

Method Summary
`EList` `getNamespaceDecltemList()` Returns the value of the 'Namespace Decltem List' containment reference list.
`XMLTableFunction` `getTableFunction()` Returns the value of the 'Table Function' container reference.
`XMLValueFunctionElement` `getValueFunctionElement()` Returns the value of the 'Value Function Element' container reference.
`XMLValueFunctionForest` `getValueFunctionForest()` Returns the value of the 'Value Function Forest' container reference.
`void` `setTableFunction(XMLTableFunction value)` Sets the value of the '`Table Function`' container reference.
`void` `setValueFunctionElement(XMLValueFunctionElement value)` Sets the value of the '`Value Function Element`' container reference.
`void` `setValueFunctionForest(XMLValueFunctionForest value)` Sets the value of the '`Value Function Forest`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getNamespaceDecltemList

    EList getNamespaceDecltemList()

  Returns the value of the 'Namespace Decltem List' containment reference list. The list contents are of type `XMLNamespaceDeclarationItem`. It is bidirectional and its opposite is '`Namespaces Decl`'.

  If the meaning of the 'Namespace Decltem List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Namespace Decltem List' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLNamespacesDeclaration_NamespaceDecltemList()`, `XMLNamespaceDeclarationItem.getNamespacesDecl()`

### getValueFunctionElement

    XMLValueFunctionElement getValueFunctionElement()

  Returns the value of the 'Value Function Element' container reference. It is bidirectional and its opposite is '`Namespaces Decl`'.

  If the meaning of the 'Value Function Element' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Element' container reference.
  See Also:
    `setValueFunctionElement(XMLValueFunctionElement)`, `SQLXMLQueryModelPackage.getXMLNamespacesDeclaration_ValueFunctionElement()`, `XMLValueFunctionElement.getNamespacesDecl()`

### setValueFunctionElement

    void setValueFunctionElement(XMLValueFunctionElement value)

  Sets the value of the '`Value Function Element`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Element' container reference.
  See Also:
    `getValueFunctionElement()`

### getValueFunctionForest

    XMLValueFunctionForest getValueFunctionForest()

  Returns the value of the 'Value Function Forest' container reference. It is bidirectional and its opposite is '`Namespaces Decl`'.

  If the meaning of the 'Value Function Forest' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Forest' container reference.
  See Also:
    `setValueFunctionForest(XMLValueFunctionForest)`, `SQLXMLQueryModelPackage.getXMLNamespacesDeclaration_ValueFunctionForest()`, `XMLValueFunctionForest.getNamespacesDecl()`

### setValueFunctionForest

    void setValueFunctionForest(XMLValueFunctionForest value)

  Sets the value of the '`Value Function Forest`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Forest' container reference.
  See Also:
    `getValueFunctionForest()`

### getTableFunction

    XMLTableFunction getTableFunction()

  Returns the value of the 'Table Function' container reference. It is bidirectional and its opposite is '`Namespaces Decl`'.

  If the meaning of the 'Table Function' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Function' container reference.
  See Also:
    `setTableFunction(XMLTableFunction)`, `SQLXMLQueryModelPackage.getXMLNamespacesDeclaration_TableFunction()`, `XMLTableFunction.getNamespacesDecl()`

### setTableFunction

    void setTableFunction(XMLTableFunction value)

  Sets the value of the '`Table Function`' container reference.

  Parameters:
    `value` - the new value of the 'Table Function' container reference.
  See Also:
    `getTableFunction()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.